#ifndef __DATEI_H
#define __DATEI_H

// ***************************************************************************
// ***************************************************************************
// ***********                                                      **********
// ***********    DATEI.H  -  ROUTINEN ZUR VERWALTUNG DER FILES     **********
// ***********                                                      **********
// ***************************************************************************
// ***************************************************************************
#include <string>
#include <iostream.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/stat.h>
#include <unistd.h>
#include "iotype.H"

int filelength(int handle);

int readable(const char *name);

int open_check(const char *name,int accessflags);

int creat_check(const char *name,mode_t mode);

void read_check(int handle,char *buf,int len);

void write_check(int handle,char *buf,int len);

iotype *make_file_to_io_check(const char *name);

void make_io_to_file_check(iotype *ioptr,const char *name,mode_t mode);

// return 0 when size and modify time are equal
int filecmp(char *name1,char *name2);

#endif

